al_fputs(3)

NAME

al_fputs - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_fputs(ALLEGRO_FILE *f, char const *p)

DESCRIPTION

Writes a string to file. Apart from the return value, this is equivalent to:

    al_fwrite(f, p, strlen(p));

Parameters:

•   f - file handle to write to

•   p - string to write

Returns a non-negative integer on success, EOF on error.

Note: depending on the stream type and the mode passed to al_fopen(3), newline characters in the string may or may not be automatically translated to native end-of-line sequences, e.g. CR/LF instead of LF.

SEE ALSO

al_fwrite(3)